CRAN Package Check Results for Package peakPantheR

Last updated on 2019-04-22 01:47:51 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.2.0 10.28 130.92 141.20 OK
r-devel-linux-x86_64-debian-gcc 1.2.0 8.22 101.03 109.25 OK
r-devel-linux-x86_64-fedora-clang 1.2.0 2.51 ERROR
r-devel-linux-x86_64-fedora-gcc 1.2.0 156.10 OK
r-devel-windows-ix86+x86_64 1.2.0 28.00 98.00 126.00 NOTE
r-patched-linux-x86_64 1.2.0 10.05 126.44 136.49 OK
r-patched-solaris-x86 1.2.0 4.30 ERROR
r-release-linux-x86_64 1.2.0 7.59 372.13 379.72 ERROR
r-release-windows-ix86+x86_64 1.2.0 11.00 141.00 152.00 NOTE
r-release-osx-x86_64 1.2.0 ERROR
r-oldrel-windows-ix86+x86_64 1.2.0 16.00 221.00 237.00 OK
r-oldrel-osx-x86_64 1.2.0 ERROR

Check Details

Version: 1.2.0
Check: package dependencies
Result: ERROR
    Packages required but not available: 'MSnbase', 'mzR'
    
    Package suggested but not available for checking: ‘faahKO’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavors: r-devel-linux-x86_64-fedora-clang, r-patched-solaris-x86

Version: 1.2.0
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'faahKO'
Flavors: r-devel-windows-ix86+x86_64, r-release-windows-ix86+x86_64

Version: 1.2.0
Check: tests
Result: ERROR
     Running ‘testthat.R’ [248s/365s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > library(testthat)
     > library(peakPantheR)
    
     This is peakPantheR version 1.2.0
    
     >
     > test_check("peakPantheR")
     ── 1. Error: default multiplot (@test_annotationDiagnosticMultiplot.R#180) ────
     unused arguments (limits, n)
     1: evaluate_promise(annotationDiagnosticMultiplot(input_plots)) at testthat/test_annotationDiagnosticMultiplot.R:180
     2: withr::with_output_sink(temp, withCallingHandlers(withVisible(code), warning = handle_warning,
     message = handle_message))
     3: force(code)
     4: withCallingHandlers(withVisible(code), warning = handle_warning, message = handle_message)
     5: withVisible(code)
     6: annotationDiagnosticMultiplot(input_plots)
     7: ggplot2::layer_scales(tmp_rtPeakwidthVert)
     8: ggplot_build(plot)
     9: ggplot_build.ggplot(plot)
     10: layout$setup_panel_params()
     ...
     16: f(..., self = self)
     17: parent$setup_panel_params(scale_x, scale_y, params)
     18: f(..., self = self)
     19: train_cartesian(scale_x, self$limits$x, "x")
     20: scale$break_info(range)
     21: f(..., self = self)
     22: ggproto_parent(ScaleContinuous, self)$break_info(range)
     23: f(..., self = self)
     24: self$get_breaks_minor(b = major, limits = range)
     25: f(..., self = self)
    
     ══ testthat results ═══════════════════════════════════════════════════════════
     OK: 1147 SKIPPED: 0 FAILED: 1
     1. Error: default multiplot (@test_annotationDiagnosticMultiplot.R#180)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-release-linux-x86_64

Version: 1.2.0
Check: package dependencies
Result: ERROR
    Packages required but not available: ‘MSnbase’ ‘mzR’
    
    Package suggested but not available for checking: ‘faahKO’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-osx-x86_64

Version: 1.2.0
Check: package dependencies
Result: ERROR
    Package required but not available: ‘MSnbase’
    
    Package suggested but not available for checking: ‘faahKO’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-oldrel-osx-x86_64